Bug 3488 - Build webkitgtk-1.0 from 1.x sources with gstreamer-0.10
: Build webkitgtk-1.0 from 1.x sources with gstreamer-0.10
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-25 17:53 MSK by Andrey Bondrov
Modified: 2014-01-23 12:05 MSK (History)
2 users (show)

See Also:
RPM Package: webkitgtk2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-12-25 17:53:40 MSK
Some time ago we switched from webkit 1.x to 2.x, building both legacy webkitgtk-1.0 and current webkitgtk-3.0 from 2.x sources. Unfortunately, most GTK2 applications and bindings (python, for example) use gstreamer-0.10 and it leads to various issues when both gstreamer and webkit are used in one GTK2 application. For example, Miro is freezing when trying to display YouTube page (see http://forum.rosalab.ru/viewtopic.php?f=48&t=2355#p23258 ).

Webkit 2.x no longer supports gstreamer-0.10 even for webkitgtk-1.0 so it's better to build webkitgtk-1.0 from 1.x sources.
Comment 1 Andrey Bondrov 2013-12-25 17:56:21 MSK
Advisory: "Build webkitgtk-1.0 from 1.x sources with gstreamer-0.10 support"

https://abf.rosalinux.ru/build_lists/1495005
https://abf.rosalinux.ru/build_lists/1495006

How to test:
1. Install Miro and try to open YouTube tab (Miro will freeze after few seconds)
2. Update webkit-1.0 from containers
3. Run Miro again and see YouTube tab working fine
Comment 2 Andrey Bondrov 2013-12-25 17:57:49 MSK
After this update is approved, we should drop webkitgtk-1.0 part from webkit 2.x spec and leave only webkitgtk-3.0 there. But it can be done after this build is published, of course.
Comment 3 Vladimir Potapov 2013-12-30 19:35:55 MSK
webkitgtk2-1.10.2-1
********************* Advisory **********************
Build webkitgtk-1.0 from 1.x sources with gstreamer-0.10 support
*****************************************************
QA Verified
Comment 4 Andrey Bondrov 2014-01-17 10:42:23 MSK
(In reply to comment #2)
> After this update is approved, we should drop webkitgtk-1.0 part from webkit
> 2.x spec and leave only webkitgtk-3.0 there. But it can be done after this
> build is published, of course.

Advisory: "Remove webkitgtk-1.0 parts from webkit package as webkitgtk-1.0 parts were moved to webkitgtk2 package"

https://abf.rosalinux.ru/build_lists/1523447
https://abf.rosalinux.ru/build_lists/1523448
Comment 5 Vladimir Potapov 2014-01-21 17:09:44 MSK
webkit3.0-2.0.4-3-rosa2012.1
********************* Advisory ***************************
Remove webkitgtk-1.0 parts from webkit package as webkitgtk-1.0 parts were moved to webkitgtk2 package
***********************************************************
QA Verified